$schema: http://json-schema.org/draft-07/schema#
description: AWS driver schema

type: object

properties:

  access-key-id:
    type: string

  availability-zone:
    type: string

  capabilities:
    type: object

  command:
    type: string

  cost:
    type: object

  custom-flavors:
    type: array

  default-instance-type:
    type: string

  use-default-flavor-when-no-suitable:
    type: boolean
    default: true

  default-root-disk-size:
    type: integer

  default-region:
    type: string

  flavor-regex:
    type: string

  image-name-filters:
    type: array
    items:
      type: string

  image-regex:
    type: string

  master-key-name:
    type: string

  image-owners:
    type: array
    items:
      type: string

  patch-flavors:
    type: array

  patch-images:
    type: array

  post-install-script:
    type: string

  resources:
    type: object

  secret-access-key:
    type: string

  security-group:
    type: string

  spot-price-bid-percentage:
    type: integer

  subnet-id:
    type: string

  use-only-when-addressed:
    type: boolean

  use-spot-request:
    type: boolean

additionalProperties: false

required:
- access-key-id
- availability-zone
- command
- default-instance-type
- default-region
- master-key-name
- secret-access-key
- security-group
- subnet-id
